Bug 49683 - apmd init script fails if apm kernel driver isn't loaded
apmd init script fails if apm kernel driver isn't loaded
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-22 22:25 EDT by Scott D. Webster
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-22 22:26:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch that adds support for attempting to load the apm kernel module (889 bytes, patch)
2001-07-22 22:26 EDT, Scott D. Webster
no flags Details | Diff

  None (edit)
Description Scott D. Webster 2001-07-22 22:25:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.6+vesafb i686)

Description of problem:
The apmd init script seems to assume that the apm kernel driver is either
compiled directly into the kernel or that it will already be loaded if
compiled as a separate module.  That assumption won't always be correct.

How reproducible:
Always

Steps to Reproduce:
1. Compile a kernel with apm support compiled in a separate module
2. Boot the new kernel
3. Run "service apmd start".
	

Actual Results:  The script silently exits without starting apmd.

Expected Results:  The script should start apmd, loading the apm kernel
module first, if necessary.

Additional info:

The attached patch fixes the problem.
Comment 1 Scott D. Webster 2001-07-22 22:26:51 EDT
Created attachment 24567 [details]
a patch that adds support for attempting to load the apm kernel module
Comment 2 Bernhard Rosenkraenzer 2001-07-24 16:38:01 EDT
Added in 3.0final-34

Note You need to log in before you can comment on or make changes to this bug.